#
# spec file for package python-whiteboard
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:           python-whiteboard
Version:        1.0.git.1385751271
Release:        3.2
Summary:        Build and operate a low-cost electronic whiteboard
License:        GPL-2.0
Group:          Amusements/Teaching/Other
Url:            https://github.com/pnegre/python-whiteboard/downloads
Source:         %{name}-%{version}.tar.gz
Patch0:         remove_sheebang.diff
%if 0%{?suse_version}
BuildRequires:  fdupes
BuildRequires:  libqt4-devel
BuildRequires:  python-qt4-devel
PreReq:         python
PreReq:         python-numpy
PreReq:         python-pybluez
PreReq:         python-qt4
PreReq:         python-xlib
%endif
%if 0%{?fedora}
BuildRequires:  fdupes
BuildRequires:  pyqt4-devel
BuildRequires:  qt-devel
Requires:       numpy
Requires:       pybluez
Requires:       python
Requires:       python-qt4
Requires:       python-xlib
%endif
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch

%description
With this software you can build and operate a low-cost electronic
whiteboard. You only need a wiimote, an IR pen and a great OS: gnu/linux.

%prep
%setup -q
%patch0 -p1

%build

%if 0%{?suse_version}
make all %{?_smp_mflags}
%else
lrelease-qt4 trans/*.ts
%endif

%install
make DESTDIR=%{buildroot} install %{?_smp_mflags}

%if 0%{?suse_version}
%fdupes -s %{buildroot}
%endif

rm -rf %{buildroot}%{_datadir}/applications/%{name}.desktop

cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=%{name}
Comment=%{summary}
GenericName=%{name}
Exec=%{name}
Icon=pywb_pixmap.xpm
Terminal=0
Categories=KDE;Education;Engineering;
Type=Application
X-SuSE-translate=false
EOF


#%%post

#%%postun

%files
%defattr(-,root,root)
%doc README
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/qt4/translations/
%{_datadir}/applications/%%{name}.desktop
%{_datadir}/pixmaps/pywb_pixmap.xpm

%changelog
* Sun Dec 15 2013 chri@gallochri.com
-python-xlib added as Prereq
* Sun Dec  1 2013 chri@gallochri.com
- Update version and better spec file
* Mon Mar 11 2013 chri@gallochri.com
-Try to fix version
  sab 17 nov 2012, 12.25.20, UTC 2012 - Christian Galeffi <chri@gallochri.com> - 0.3
- Separated chahgelog file
* Fri Nov  9 2012 Christian Galeffi <chri@gallochri.com> - 0.2
- First builded version
* Mon Nov  5 2012 Christian Galeffi <chri@gallochri.com> - 0.1
- Initial release
